Main Page Groups Namespaces

# sigc::internal::lambda_select2 Struct Reference

Inheritance diagram for sigc::internal::lambda_select2:

[legend]
List of all members.

## Public Types
typedef void | result_type
## Public Member Functions
void | operator() () const
template <class T_arg1, class T_arg2> T_arg2 | operator() (T_arg1 _A_1, T_arg2 _A_2) const
template <class T_arg1, class T_arg2> T_arg2 | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2) const
template <class T_arg1, class T_arg2, class T_arg3> T_arg2 | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template <class T_arg1, class T_arg2, class T_arg3> T_arg2 | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> T_arg2 | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4> T_arg2 | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> T_arg2 | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5> T_arg2 | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6> T_arg2 | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6> T_arg2 | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7> T_arg2 | operator() (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7> T_arg2 | sun_forte_workaround (T_arg1 _A_1, T_arg2 _A_2, T_arg3 _A_3, T_arg4 _A_4, T_arg5 _A_5, T_arg6 _A_6, T_arg7 _A_7) const

## Member Typedef Documentation

typedef void sigc::internal::lambda_select2::result_type

## Member Function Documentation

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7
| ) | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6
| ) | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5
| ) | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4
| ) | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3>
T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3
| ) | const`[inline]`

template <class T_arg1, class T_arg2>
T_arg2 sigc::internal::lambda_select2::operator() | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2
| ) | const`[inline]`

void sigc::internal::lambda_select2::operator() | ( |  | ) | const

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6,
|  | T_arg7 | _A_7
| ) | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5,
|  | T_arg6 | _A_6
| ) | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4,
|  | T_arg5 | _A_5
| ) | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3,
|  | T_arg4 | _A_4
| ) | const`[inline]`

template <class T_arg1, class T_arg2, class T_arg3>
T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2,
|  | T_arg3 | _A_3
| ) | const`[inline]`

template <class T_arg1, class T_arg2>
T_arg2 sigc::internal::lambda_select2::sun_forte_workaround | ( | T_arg1 | _A_1,
|  | T_arg2 | _A_2
| ) | const`[inline]`

The documentation for this struct was generated from the following file:

- select.h